Skip to main content
GET
/
test_framework
/
v2
/
aiagents
/
{id}
/
auto-fetch-progress
/
Poll status of an auto-fetch task
curl --request GET \
  --url https://api.cekura.ai/test_framework/v2/aiagents/{id}/auto-fetch-progress/ \
  --header 'X-CEKURA-API-KEY: <api-key>'
import requests

url = "https://api.cekura.ai/test_framework/v2/aiagents/{id}/auto-fetch-progress/"

headers = {"X-CEKURA-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-CEKURA-API-KEY': '<api-key>'}};

fetch('https://api.cekura.ai/test_framework/v2/aiagents/{id}/auto-fetch-progress/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": 123,
  "current_stage": "<string>",
  "stages": [
    {}
  ],
  "error": "<string>"
}
{
"detail": "<string>"
}

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this ai agent.

Query Parameters

progress_id
string
required

Response

agent_id
integer
required
status
enum<string>
required
  • in_progress - in_progress
  • completed - completed
  • failed - failed
Available options:
in_progress,
completed,
failed
current_stage
string
required
stages
object[]
required
error
string | null
required